oracle.xml.async

## Class DOMBuilderErrorEvent

- java.lang.Object
- - java.util.EventObject
  - - oracle.xml.async.DOMBuilderErrorEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DOMBuilderErrorEvent
    extends java.util.EventObject

This class defines the error event which is sent when parse exception occurs.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DOMBuilderErrorEvent(java.lang.Object p0, java.lang.Exception e)` Constructor for DOMBuilderErrorEvent.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Exception` `getException()` Gets the Exception
`java.lang.String` `getMessage()` Returns the error message generated by the parser

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DOMBuilderErrorEvent

    public DOMBuilderErrorEvent(java.lang.Object p0,
                                java.lang.Exception e)

Constructor for DOMBuilderErrorEvent.

Parameters:
  `p0` - The `Object` that created this event.
  `e` - The `Exception` raised.

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Returns the error message generated by the parser

Returns:
  The error message string

#### getException

    public java.lang.Exception getException()

Gets the Exception

Returns:
  The Exception beind raised

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.